Bug 975738 - Review Request: perl-Object-Accessor - Interface to create per object accessors
Review Request: perl-Object-Accessor - Interface to create per object accessors
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
: 904058 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 05:01 EDT by Jitka Plesnikova
Modified: 2014-03-10 07:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Object-Accessor-0.48-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-20 02:51:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2013-06-19 05:01:53 EDT
Spec URL: http://jplesnik.fedorapeople.org/perl-Object-Accessor/perl-Object-Accessor.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-Object-Accessor/perl-Object-Accessor-0.48-1.fc20.src.rpm
Description: Object::Accessor provides an interface to create per object accessors (as opposed to per Class accessors, as, for example, Class::Accessor provides).

Fedora Account System Username: jplesnik
Comment 1 Björn "besser82" Esser 2013-06-19 05:43:14 EDT
Package is fine. No issues found, but the info about already existing pkg, which is orphaned in fact.

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/perl-Object-Accessor
  See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

  ---> package is orphaned for Fedora in pkgdb, EPEL seems to be maintained

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

     ---> License is mentioned in README

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/bjoern.esser/fedora/review/975738-perl-Object-
     Accessor/licensecheck.txt

     ---> License-Tag is fine. License is the same as Perl itself.

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.

     ---> as mentioned above, orphaned pkg in Fedora

[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Object-Accessor-0.48-1.fc20.noarch.rpm
perl-Object-Accessor.noarch: W: spelling-error Summary(en_US) accessors -> accessory, accessorizes, accessorize
perl-Object-Accessor.noarch: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Object-Accessor
perl-Object-Accessor.noarch: W: spelling-error Summary(en_US) accessors -> accessory, accessorizes, accessorize
perl-Object-Accessor.noarch: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

---> false positive from dict-check


Requires
--------
perl-Object-Accessor (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.16.3)
    perl(Carp)
    perl(Object::Accessor)
    perl(Params::Check)
    perl(Tie::Scalar)
    perl(Tie::StdScalar)
    perl(base)
    perl(constant)
    perl(if)
    perl(overload)
    perl(strict)
    perl(vars)



Provides
--------
perl-Object-Accessor:
    perl(Object::Accessor)
    perl-Object-Accessor



Source checksums
----------------
http://www.cpan.org/authors/id/B/BI/BINGOS/Object-Accessor-0.48.tar.gz :
  CHECKSUM(SHA256) this package     : 76cb824a27b6b4e560409fcf6fd5b3bfbbd38b72f1f3d37ed0b54bd9c0baeade
  CHECKSUM(SHA256) upstream package : 76cb824a27b6b4e560409fcf6fd5b3bfbbd38b72f1f3d37ed0b54bd9c0baeade


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 975738

#####

Nothing more say, but

APPROVED!
Comment 3 Jitka Plesnikova 2013-06-19 06:26:03 EDT
Thank you for the review.

I know the package is dead. It is built as sub-package of Perl now. 
However, the module will be removed from the core distribution in a future release
http://search.cpan.org/dist/perl-5.18.0/pod/perldelta.pod#Module_removals
Comment 4 Jitka Plesnikova 2013-06-19 06:27:11 EDT
New Package SCM Request
=======================
Package Name: perl-Object-Accessor
Short Description: Interface to create per object accessors
Owners: jplesnik ppisar psabata
Branches:
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2013-06-19 08:14:57 EDT
Unretired, please take ownership in pkgdb.
Comment 6 Petr Pisar 2014-03-10 07:26:01 EDT
*** Bug 904058 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.